#ifndef CMWFACTORYIO_H
#define CMWFACTORYIO_H

#include <QWidget>
#include "cmwidget.h"
#include <QTableWidgetItem>
namespace Ui {class CMWFactoryIO;};

class CMWFactoryIO : public CMWidget
{
	Q_OBJECT

public:
	CMWFactoryIO(E_MotorDriver_ID eMotorDriver, QWidget *parent = 0);
	~CMWFactoryIO();
	virtual void MFresh();
	virtual void MApply();
	virtual void MTimeFresh();
	void MFresh_IOList();
	void MApply_IOList();
	void MInit();
private:
	int m_iCurLineCount;
	E_MotorDriver_ID m_eMotorDriver;
private:
	Ui::CMWFactoryIO *ui;
};

#endif // CMWFACTORYLASEROFFSETADJUST_H
